#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.4.2.3
visibility:           public
id:                   ghcide-1.4.2.3-G3IJDqjPcRLERvWnbprNNL
key:                  ghcide-1.4.2.3-G3IJDqjPcRLERvWnbprNNL
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  dd40d134a3634facb0c3e62c5d395156
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action
    Text.Fuzzy.Parallel

import-dirs:          /usr/lib/ghc-9.0.2/site-local/ghcide-1.4.2.3
library-dirs:         /usr/lib/ghc-9.0.2/site-local/ghcide-1.4.2.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.4.2.3-G3IJDqjPcRLERvWnbprNNL
depends:
    Diff-0.4.1-KHDqf2Hh5zvEjeufDMDbzB
    Glob-0.10.2-K3hmTBdRsZw8onVwFa5nKM
    aeson-1.5.6.0-6rBoO6bU0Qo8Yma8Si89de
    aeson-pretty-0.8.9-GaklHbgkNZzC7CbQIEsxyb array-0.5.4.0
    async-2.2.4-70qwKLxomDG7uuvcVfCGq2 base-4.15.1.0
    base16-bytestring-1.0.2.0-L4j4Tjhz2WH6oOCVbuSJzs binary-0.8.8.0
    bytestring-0.10.12.1
    bytestring-encoding-0.1.2.0-CcEI9sMO7kxE1crKGibvm3
    case-insensitive-1.2.1.0-G4kgJFtuNP5ARaby10fUk containers-0.6.4.1
    cryptohash-sha1-0.11.101.0-228jYRYVVLGFXsLRZRVElI
    data-default-0.7.1.1-BkZarJ3J3008hHF2JOuYeW deepseq-1.4.5.0
    dependent-map-0.4.0.0-BXNi7PKqMGCKrWZa0sV004
    dependent-sum-0.7.1.0-WgQ1mvFA3wL4LnJg38Jjp directory-1.3.6.2
    dlist-1.0-ImNlUre2rHgIkuGbqNQCOO
    extra-1.7.11-EpkitihD3Tx1Q0cVzeFeMv filepath-1.4.2.1
    fingertree-0.1.5.0-AKiTCbvJ36T8AQ9UgDgVLk
    fuzzy-0.1.0.1-Ldt2XIcajKEAGsU7OM7YJ2 ghc-9.0.2
    ghc-api-compat-8.6.1-F4jVXTaEYzcGEcFzzf0nwC ghc-boot-9.0.2
    ghc-boot-th-9.0.2 ghc-check-0.5.0.7-4DFDGkxpifr7p3opndb9xd
    ghc-exactprint-0.6.4-HKXa7Hd1KAd4c0Nx9quE8E
    ghc-paths-0.1.0.12-7fRPaqGgnC488dNzs2elDi
    ghc-trace-events-0.1.2.6-J2i3ZJHv7lYxWrGYKXh9u
    haddock-library-1.10.0-14jWDGsgsgQ1V7CPbrAsqW
    hashable-1.4.1.0-4IP0Gt0vSEl8UoOyFHwRQX
    heapsize-0.3.0.1-ALfosIFDZzm1fHTK2fo3Fc
    hie-bios-0.8.1-A7VyAzZEBtQCztjnfwsxPg
    hie-compat-0.2.1.0-CAboBMIkPvmG7Klg2Q7C4q
    hiedb-0.4.1.0-593gke44wMa3fTNGtST5B
    hls-graph-1.4.0.0-DgbF0vYnMcv3nv9gDKwwyL
    hls-plugin-api-1.2.0.1-6ZADcjjDGsM8DL76eQhjhO
    hslogger-1.3.1.0-H967zLGYSfeAcdm27LL3t1
    implicit-hie-cradle-0.3.0.5-FntR9NyFS8KpOrTNEPybP
    lens-5.1.1-BWxklFYC3Me2N3JrIlYkZT
    lsp-1.2.0.1-6czsF0iqs8U1OCTfqwwH75
    lsp-types-1.3.0.1-5ZDhAhVXwh26RkjVYTlxh
    monoid-subclasses-1.1.3-2nzXQdfue2G77weHfUd9Sv mtl-2.2.2
    network-uri-2.6.4.1-BGPJIvUETPDIY3T3wtqoZj
    opentelemetry-0.8.0-AZQW13inh2g1VRisS45daF
    optparse-applicative-0.16.1.0-BKNPip5PGw2CnbOiekISfW
    parallel-3.2.2.0-D2aleEa2VnPBr164BdKnms
    prettyprinter-1.7.1-IOUz5qiOdl62PbinkKQA3G
    prettyprinter-ansi-terminal-1.1.3-Lnl5nkBulZn2MovbtwCwuK
    regex-tdfa-1.3.2-C3yAPZoZZqkAkGRSL3COIp
    retrie-1.1.0.0-BMae9heBEX1AwuijWBlmor
    rope-utf16-splay-0.3.2.0-DAENu6bI2K9DbRbUBLcHo6
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q
    safe-exceptions-0.1.7.3-FjIsLCKKb43IZjYBSID4ON
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R
    sqlite-simple-0.4.18.2-3VaneEwho2k4xroMUj1GPj stm-2.5.0.0
    syb-0.7.2.1-5iQYkXgYpudHFMC09Kx4O3 text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.22.0-CzJLWwfRBgPIKyoSgfOQSW
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-DKI32UXisJ5DsjnshdrAkp
    utf8-string-1.0.2-6JnEnrSpdULJYDb0wt55Uc
    vector-0.12.3.1-37YOJsTp4sSIT9CMAp9q9Q
    vector-algorithms-0.8.0.4-8KiJAuhtno1CMn91N29o50

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

